##
##  libbrotli.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         libbrotli
Summary:      BROTLI Compression Library
URL:          https://github.com/bagder/libbrotli
Vendor:       Google
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Compression
License:      MIT/Apache
Version:      20200522
Release:      20200522

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/libbrotli/libbrotli-%{version}.tar.xz
Patch0:       libbrotli.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, autoconf, automake, libtool, gcc, gcc::with_cxx = yes
PreReq:       OpenPKG, openpkg >= 20160101

%description
    Brotli is a generic-purpose lossless compression algorithm that
    compresses data using a combination of a modern variant of the LZ77
    algorithm, Huffman coding and 2nd order context modeling, with
    a compression ratio comparable to the best currently available
    general-purpose compression methods. It is similar in speed with
    Deflate but offers more dense compression.

%track
    prog libbrotli = {
        version   = %{version}
        url       = http://download.openpkg.org/components/versioned/libbrotli/
        regex     = libbrotli-(__VER__)\.tar\.xz
    }

%prep
    %setup -q -n libbrotli
    %patch -p0

%build
    sh autogen.sh
    CC="%{l_cc}" \
    CXX="%{l_cxx} -std=c++11" \
    CFLAGS="%{l_cflags -O}" \
    CXXFLAGS="%{l_cxxflags -O}" \
    CPPFLAGS="%{l_cppflags}" \
    LDFLAGS="%{l_ldflags}" \
    ./configure \
        --prefix=%{l_prefix} \
        --disable-shared
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

